# Generated by Django 4.2.3 on 2023-07-21 07:15

import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion
import geospatial.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='RefContractor',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('name_kz', models.TextField(blank=True, null=True, verbose_name='Имя на казахском')),
                ('name_ru', models.TextField(blank=True, null=True, verbose_name='Имя на русском')),
                ('phone', models.TextField(blank=True, null=True, verbose_name='Телефон')),
                ('supervisor', models.TextField(blank=True, null=True, verbose_name='Ответственный')),
                ('old_name', models.TextField(blank=True, null=True, verbose_name='Имя старое')),
            ],
            options={
                'verbose_name': 'Застройщик',
                'verbose_name_plural': 'Застройщики',
                'db_table': 'ref_contractor',
            },
        ),
        migrations.CreateModel(
            name='RefDepartment',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('name_kz', models.TextField(blank=True, null=True, verbose_name='Название на казахском')),
                ('name_ru', models.TextField(blank=True, null=True, verbose_name='Название на русском')),
                ('short_name_kz', models.CharField(blank=True, max_length=255, null=True, verbose_name='Короткое название на казахском')),
                ('short_name_ru', models.CharField(blank=True, max_length=255, null=True, verbose_name='Короткое название на русском')),
                ('supervisor_id', models.BigIntegerField(blank=True, null=True, verbose_name='ID ответственного')),
            ],
            options={
                'verbose_name': 'Ответственный орган',
                'verbose_name_plural': 'Ответственные органы',
                'db_table': 'ref_department',
            },
        ),
        migrations.CreateModel(
            name='RefGeoStatus',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('color', models.CharField(blank=True, max_length=255, null=True, verbose_name='Цвет')),
                ('name_kz', models.CharField(blank=True, max_length=255, null=True, verbose_name='Название на казахском')),
                ('name_ru', models.CharField(blank=True, max_length=255, null=True, verbose_name='Название на русском')),
            ],
            options={
                'verbose_name': 'Статус работы',
                'verbose_name_plural': 'Статусы работ',
                'db_table': 'ref_geo_status',
            },
        ),
        migrations.CreateModel(
            name='RepairWorkFiles',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('category', models.CharField(blank=True, max_length=255, null=True, verbose_name='Категория')),
                ('name', models.TextField(blank=True, null=True, verbose_name='Название')),
                ('type', models.CharField(blank=True, max_length=255, null=True, verbose_name='Тип')),
                ('path', models.TextField(blank=True, null=True, verbose_name='Путь до файла')),
                ('pid', models.BigIntegerField(blank=True, null=True, verbose_name='ID паспорта')),
                ('date_time', models.DateTimeField(blank=True, null=True, verbose_name='Время и дата')),
            ],
            options={
                'verbose_name': 'Файл',
                'verbose_name_plural': 'Файлы',
                'db_table': 'repair_work_files',
            },
        ),
        migrations.CreateModel(
            name='RepairWorks',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('address', models.TextField(blank=True, null=True, verbose_name='Адрес')),
                ('linestring', django.contrib.gis.db.models.fields.LineStringField(blank=True, null=True, srid=4326, verbose_name='Линия координат')),
                ('marker', django.contrib.gis.db.models.fields.PointField(blank=True, null=True, srid=4326, verbose_name='Точка координат')),
                ('multipolygon', django.contrib.gis.db.models.fields.MultiPolygonField(blank=True, null=True, srid=4326, verbose_name='Полигоны координат')),
                ('description', models.TextField(blank=True, null=True, verbose_name='Описание')),
                ('end_date', models.DateField(blank=True, null=True, verbose_name='День начала')),
                ('start_date', models.DateField(blank=True, null=True, verbose_name='День окончания')),
                ('warranty', models.TextField(blank=True, null=True, verbose_name='Гарантия')),
                ('is_blocked', models.BooleanField(blank=True, null=True, verbose_name='Перекрытие дорог')),
                ('work_end_time', models.TimeField(blank=True, null=True, verbose_name='Время окончания работы')),
                ('work_start_time', models.TimeField(blank=True, null=True, verbose_name='Время начала работы')),
                ('document', models.FileField(blank=True, null=True, upload_to=geospatial.models.repair_work_file_path, verbose_name='Документ, Файл')),
                ('photo', models.FileField(blank=True, null=True, upload_to=geospatial.models.repair_work_file_path, verbose_name='Фото')),
                ('contractor', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='geospatial.refcontractor', verbose_name='Застройщик')),
                ('department', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='geospatial.refdepartment', verbose_name='Ответственный орган')),
                ('status', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='geospatial.refgeostatus', verbose_name='Статус')),
            ],
            options={
                'verbose_name': 'Ремонтные работы',
                'verbose_name_plural': 'Ремонтные работы',
                'db_table': 'repair_works',
            },
        ),
    ]
